Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLHRElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLHRElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLHRElement, Node

public class JRexHTMLHRElementImpl
extends JRexHTMLElementImpl
implements HTMLHRElement

A class implementing org.w3c.dom.html2.HTMLHRElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLHRElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Align the rule on the page.
`boolean` | `getNoShade()` Indicates to the user agent that there should be no shading in the rendering of this element.
`String` | `getSize()` The height of the rule.
`String` | `getWidth()` The width of the rule.
`void` | `setAlign(String align)` Align the rule on the page.
`void` | `setNoShade(boolean noShade)` Indicates to the user agent that there should be no shading in the rendering of this element.
`void` | `setSize(String size)` The height of the rule.
`void` | `setWidth(String width)` The width of the rule.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLHRElement`
  Align the rule on the page. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLHRElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLHRElement`
  Align the rule on the page. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLHRElement`

### getNoShade

    public boolean getNoShade()

  Description copied from interface: `HTMLHRElement`
  Indicates to the user agent that there should be no shading in the rendering of this element. See the noshade attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getNoShade` in interface `HTMLHRElement`

### setNoShade

    public void setNoShade(boolean noShade)

  Description copied from interface: `HTMLHRElement`
  Indicates to the user agent that there should be no shading in the rendering of this element. See the noshade attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setNoShade` in interface `HTMLHRElement`

### getSize

    public String getSize()

  Description copied from interface: `HTMLHRElement`
  The height of the rule. See the size attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getSize` in interface `HTMLHRElement`

### setSize

    public void setSize(String size)

  Description copied from interface: `HTMLHRElement`
  The height of the rule. See the size attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setSize` in interface `HTMLHRElement`

### getWidth

    public String getWidth()

  Description copied from interface: `HTMLHRElement`
  The width of the rule. See the width attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getWidth` in interface `HTMLHRElement`

### setWidth

    public void setWidth(String width)

  Description copied from interface: `HTMLHRElement`
  The width of the rule. See the width attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setWidth` in interface `HTMLHRElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.